package com.eversec.service;

import java.util.List;

/**
 * 代码构建配置对象
 * Created by liangxianyou at 2019/2/26 18:04.
 */
public class CfgBean {
    public static String appHome;
    //cfgBean={fileName:"table.xls",dirPath:"D:/wk/abc/src/main/",pageDirPath:"D:/wk/abc-front/app/src/modules/",pkg:"com.eversec.ac",pageModel:"",author:"",sheetNames:[""]}

    private String fileName;
    private String xlsPath;

    private String tplPath = "${APP_HOME}/tpl/";
    private String dirPath;
    private String pageDirPath;
    private String pkg;
    private String pageModel;
    private String author;
    private String fontTpl;
    private String serviceTpl;
    private List<String> ca;
    private List<String> sheetNames;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getXlsPath() {
        return xlsPath;
    }

    public void setXlsPath(String xlsPath) {
        this.xlsPath = xlsPath;
    }

    public String getTplPath() {
        return tplPath.replace("${APP_HOME}", appHome);
    }

    public void setTplPath(String tplPath) {
        this.tplPath = tplPath;
    }

    public String getDirPath() {
        return dirPath;
    }

    public void setDirPath(String dirPath) {
        this.dirPath = dirPath;
    }

    public String getPageDirPath() {
        return pageDirPath;
    }

    public void setPageDirPath(String pageDirPath) {
        this.pageDirPath = pageDirPath;
    }

    public String getPkg() {
        return pkg;
    }

    public void setPkg(String pkg) {
        this.pkg = pkg;
    }

    public String getPageModel() {
        return pageModel;
    }

    public void setPageModel(String pageModel) {
        this.pageModel = pageModel;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getFontTpl() {
        return fontTpl;
    }

    public void setFontTpl(String fontTpl) {
        this.fontTpl = fontTpl;
    }

    public String getServiceTpl() {
        return serviceTpl;
    }

    public void setServiceTpl(String serviceTpl) {
        this.serviceTpl = serviceTpl;
    }

    public List<String> getCa() {
        return ca;
    }

    public void setCa(List<String> ca) {
        this.ca = ca;
    }

    public List<String> getSheetNames() {
        return sheetNames;
    }

    public void setSheetNames(List<String> sheetNames) {
        this.sheetNames = sheetNames;
    }
}
